Thursday, September 13, 2012

Dilemma

With the arrival of iOS 6 & iPhone 5 I can

  1. either keep supporting iOS 4.1 and iPodTouch 2 (2nd generation) -- but without full support for iPhone 5
  2. or abandon iPodTouch 2, only support iOS 4.3 or greater -- with full support for iPhone 5
(Apple gives me no other options)

I chose 2. Sorry, no more updates for the iPodTouch 2nd generation -- i.e. DON'T update to the next version  of SmartPlaylist (v6.0) if you have an iPodTouch 2 or a device still with iOS 4.1!

The program code of SmartPlaylist has no problem with iOS 4.1 / iPodTouch 2, it's only Apple's development and distribution tools which force me to cut off support for older devices.

The way it looks now I can only support the following hardware (with iOS 4.3 or higher):
  • iPhone 3GS
  • iPhone 4, iPhone 4S
  • iPhone 5
  • 3rd and 4th generation iPodTouch
  • All iPads
(I do not own all these devices, so I can test only a few of them: iPhone 4, iPad 1, iPodTouch 4)

2 comments:

  1. Thanks again for update
    . Updated on iPhone 5s with ios5
    . New features appear to work but icon didn't update for some reason.

    ReplyDelete
    Replies
    1. ... Just read your earlier blog entry on this topic. Apologies for comment above.

      Delete